
%------------------Written by Eivind Finne Riley---------------------------
%---------------------Part of project thesis-------------------------------
%----------------NTNU, Dept. of Marine Technology--------------------------
%---------------------------December 2014----------------------------------

clc
clear all
close all

rho = 1025;
t= 0.175; %From DNV GL
D = 3; %From DNV GL
shipspeed = 8*0.5144;                             %remember to change!!!!
w = 0.031; %From DNV GL
etaR=0.97;

for j=1:175

    Res(j) = 10000 + 400*(j-1);
    RTS = Res(j);
    
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end

for i=1:2000
    KTJ2(i)=0;
end


KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)


for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end

for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end

RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PD(j)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;

end

plot(Res,PD)