%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: C:\Users\Rille\Dropbox\Skole\Masteroppgave\Excel\Lift
%    coeff.xlsx Worksheet: Sheet1
%
% To extend the code for use with different selected data or a different
% spreadsheet, generate a function instead of a script.

% Auto-generated by MATLAB on 2015/06/08 00:19:23

%% Import the data
[~, ~, raw0_0] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Excel\Lift coeff.xlsx','Sheet1','C6:AQ6');
[~, ~, raw1_0] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Excel\Lift coeff.xlsx','Sheet1','C8:AQ9');
[~, ~, raw2_0] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Excel\Lift coeff.xlsx','Sheet1','C11:AQ11');
raw = [raw0_0;raw1_0;raw2_0;];

%% Create output variable
Liftcoeff = reshape([raw{:}],size(raw));

%% Clear temporary variables
clearvars raw raw0_0 raw1_0 raw2_0;

figure

plot(Liftcoeff(1,:),Liftcoeff(2,:))
hold on
plot(Liftcoeff(1,:),Liftcoeff(3,:), '--')

plot(Liftcoeff(1,:),Liftcoeff(4,:),':')

xlabel('Angle of attack [deg]')
ylabel('Lift coefficient [-]')
title('Uncorrected and corrected tabulated lift coefficient NACA0015, lifting line lift coefficient')

legend('Lifting line lift coefficient', 'Tabulated lift coefficient for NACA0015 thickness profile', '2D NACA0015 lift coefficient corrected for final span')